<header class="intro-header">
  <!-- Full Page Intro -->
  <div
    class="view full-page-intro"
    style="
      background-image: url('assets/images/signup/background_unsplash.jpg');
      background-size: cover;
      background-position: center;
      background-repeat: no-repeat;
      background-attachment: fixed;
    "
  >
    <!-- Mask & flexbox options-->
    <div
      class="mask rgba-black-light d-flex justify-content-center align-items-center"
    >
      <!-- Content -->
      <div class="container mt-5">
        <div class="row d-flex justify-content-center">
          <div class="col-12 col-md-8 col-lg-6">
            <mdb-card class="bg-color">
              <mdb-card-body class="text-white">
                <mdb-card-title class="text-center">
                  <h2 class="mb-5 font-heading">
                    Register yourself <br />
                    to manage and save your tours!
                  </h2>
                  <hr />
                </mdb-card-title>
                <!-- Default form login -->
                <form class="text-center" [formGroup]="signUpForm">
                  <!-- Alias -->
                  <div class="flex-wrapper input-wrapper">
                    <label for="defaultLoginFormAlias"></label>
                    <input
                      type="text"
                      id="defaultLoginFormAlias"
                      class="form-control mb-4 width-custom-input input"
                      formControlName="alias"
                      placeholder="Alias"
                    />
                    <mdb-icon fas icon="check" class="input-icon"></mdb-icon>
                  </div>

                  <!-- Email -->
                  <div class="flex-wrapper">
                    <input
                      type="email"
                      id="defaultLoginFormEmail"
                      class="form-control mb-4 width-custom-input"
                      placeholder="E-mail"
                      formControlName="email"
                    />
                  </div>

                  <!-- Password -->
                  <div class="flex-wrapper">
                    <input
                      type="password"
                      id="defaultLoginFormPassword"
                      class="form-control mb-4 width-custom-input"
                      placeholder="Password"
                      formControlName="password"
                    />
                  </div>

                  <div class="d-flex justify-content-around">
                    <div>
                      <!-- Remember me -->
                      <mdb-checkbox
                        [default]="true"
                        formControlName="rememberMe"
                        >Remember me</mdb-checkbox
                      >
                    </div>
                  </div>

                  <!-- Sign in button -->
                  <a
                    class="waves-light width-custom"
                    color="white"
                    mdbBtn
                    mdbWavesEffect
                    outline="true"
                    (click)="onSignUp()"
                    >SignUp</a
                  >

                  <!-- Register -->
                  <p>
                    Already have an account?
                    <a routerLink="">Login</a>
                  </p>

                  <!-- Social login -->
                  <p>or sign in with:</p>

                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="facebook"></mdb-icon>
                  </a>
                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="twitter"></mdb-icon>
                  </a>
                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="linkedin"></mdb-icon>
                  </a>
                  <a type="button" class="light-blue-text mx-2">
                    <mdb-icon fab icon="github"></mdb-icon>
                  </a>
                </form>
                <!-- Default form login -->
              </mdb-card-body>
            </mdb-card>
          </div>
        </div>
      </div>
      <!-- Content -->
    </div>
    <!-- Mask & flexbox options-->
  </div>
  <!-- Full Page Intro -->
</header>
